#ifndef ANALYSISSETTINGFORM_H
#define ANALYSISSETTINGFORM_H

#include <QWidget>
#include <QDoubleSpinBox>
#include <QLineEdit>
#include <QPushButton>

class AnalysisSettingForm : public QWidget
{
    Q_OBJECT

public:
    explicit AnalysisSettingForm(QWidget *parent = nullptr);
    ~AnalysisSettingForm();
signals:
    void sigApply();
    void sigConfirm();
    void sigUndo();
    void sigCancel();
public slots:
    void slotRecvLineXCoord(const int,const double);
private slots:
#if 0
    void slotApply();
    void slotUndo();
    void slotConfirm();
    void slotCancel();
#endif
private:
    QDoubleSpinBox *_leftBorderSpinBox,*_rightBorderSpinBox;
    QLineEdit *_thresholdLineEdit;
    QPushButton *_applyButton,
    *_confirmButton,
    *_undoButton,
    *_cancelButton;
};

#endif // ANALYSISSETTINGFORM_H
